Rekamedika Docs
Device Authorization

POST /device/token

POST
/api/auth/device/token

Exchange device code for access token

Follow rfc8628#section-3.4

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

grant_type*string

The grant type for device flow

device_code*string

The device verification code

client_id*string

The client ID of the application

Response Body

application/json

application/json

curl -X POST "https://example.com/api/auth/device/token" \  -H "Content-Type: application/json" \  -d '{    "grant_type": "urn:ietf:params:oauth:grant-type:device_code",    "device_code": "string",    "client_id": "string"  }'
{  "session": {},  "user": {}}
{  "error": "authorization_pending",  "error_description": "string"}

Is this page helpful?